//	*******************************************************************************
//	Name	:	Vector.hxx
//			:	iPhone 3D Programing	www.marlin-arms.com/support/ip3d/
//	Author	:	I. Nakagawa
//	Create	:	2014/01/21
//	Modify	:	2014/02/24
//	Modify	:	2015/11/26	Add Vf4
//	Modify	:	2017/03/15	Add Vd4
//	*******************************************************************************

#pragma once

#include <cmath>

//const	float	Pi		= 4 * std::atan(1.0f) ;
//const	float	TwoPi	= 2 * Pi ;

#include	"vector2.hxx"
#include	"vector3.hxx"
#include	"vector4.hxx"

typedef		Vector2<bool>		bvec2;

typedef		Vector2<int>		ivec2;
typedef		Vector3<int>		ivec3;
typedef		Vector4<int>		ivec4;

typedef		Vector2<float>		vec2;
typedef		Vector3<float>		vec3;
typedef		Vector4<float>		vec4;

typedef		Vector2<long>		Vl2 ;
typedef		Vector3<long>		Vl3 ;
typedef		Vector4<long>		Vl4 ;

typedef		Vector2<double>		Vd2 ;
typedef		Vector3<double>		Vd3 ;
typedef		Vector4<double>		Vd4 ;

typedef		Vector2<float>		Vf2 ;
typedef		Vector3<float>		Vf3 ;
typedef		Vector4<float>		Vf4 ;

